<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:msa="http://www.publictalksoftware.co.uk/msa">
  <xsl:output method="html" indent="yes" version="4.01"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
    doctype-public="//W3C//DTD XHTML 1.0 Transitional//EN"/>

  <xsl:variable name="PubDB" select="document('MSA_PublisherDatabase.XML')"/>
  <xsl:variable name="Labels" select="document('LabelsInfo.XML')"/>

 <xsl:template match="/">
  <html>
   <body>
    <link rel="stylesheet" type="text/css" href="Custom Appointed Assignments.css"/>
    <h2 style="text-align:center">REPORT APPOINTED ASSIGNMENTS</h2>
    <table class="BordiTabella">
      <tr class="RigaTitoli">
        <th class="TitoloColonnaData"><xsl:value-of select="$Labels/Labels/DateHeading"/></th>
        <th class="TitoliColonne"><xsl:value-of select="MeetingWorkBook/Labels/Chairman"/></th>
		<th class="TitoliColonne"><xsl:value-of select="substring-before(MeetingWorkBook/Labels/TreasuresFromGodsWord, ' ')"/><br/>1</th>
		<th class="TitoliColonne"><xsl:value-of select="substring-before(MeetingWorkBook/Labels/TreasuresFromGodsWord, ' ')"/><br/>2</th>
        <th class="TitoliColonne"><xsl:value-of select="MeetingWorkBook/Labels/LivingAsChristians"/><br/>1</th>
		<th class="TitoliColonne"><xsl:value-of select="MeetingWorkBook/Labels/LivingAsChristians"/><br/>2</th>
		<th class="TitoliColonne"><xsl:value-of select="MeetingWorkBook/Labels/CongregationBibleStudy"/></th>
      </tr>
      <xsl:for-each select="MeetingWorkBook/Meeting">
      <tr>
        <td class="RigheTabella"><xsl:value-of select="MeetingDate/@Day"/><br/><xsl:value-of select="MeetingDate/@MonthShort"/></td>
        <td class="RigheTabella">
			<xsl:choose>
				<xsl:when test="Chairman=''">
					<xsl:text>==</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="Chairman"/>
				</xsl:otherwise>
			</xsl:choose>
		</td>
		<td class="RigheTabella">
			<xsl:choose>
				<xsl:when test="Treasures1/Name=''">
					<xsl:text>==</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="Treasures1/Name"/>
				</xsl:otherwise>
			</xsl:choose>
		</td>
		<td class="RigheTabella">
			<xsl:choose>
				<xsl:when test="Treasures2/Name=''">
					<xsl:text>==</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="Treasures2/Name"/>
				</xsl:otherwise>
			</xsl:choose>
		</td>
		<td class="RigheTabella">
			<xsl:choose>
				<xsl:when test="LivingAsChristians/Item1/Name=''">
					<xsl:text>==</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="LivingAsChristians/Item1/Name"/>
				</xsl:otherwise>
			</xsl:choose>
		</td>
		<td class="RigheTabella">
			<xsl:choose>
				<xsl:when test="LivingAsChristians/@ItemCount=2">
					<xsl:value-of select="LivingAsChristians/Item2/Name"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>==</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</td>
				
		<td class="RigheTabella">
			<xsl:choose>
				<xsl:when test="LivingAsChristians/CongregationBibleStudy/Conductor=''">
					<xsl:text>==</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="LivingAsChristians/CongregationBibleStudy/Conductor"/>
				</xsl:otherwise>
			</xsl:choose>
		</td>
      </tr>
      </xsl:for-each>
    </table>
   </body>
  </html>
  <br/>
  <br/>
    <html>

      <body>
        <table class="BordiTabella2">
          <colgroup>
            <col width="20%"/>
            <col width="8%"/>
            <col width="8%"/>
            <col width="8%"/>
            <col width="8%"/>
            <col width="8%"/>
            <col width="8%"/>
            <col width="8%"/>
            <col width="8%"/>
            <col width="8%"/>
            <col width="8%"/>
          </colgroup>
          <thead>
            <th class="RigaTitoli2">
              <xsl:value-of select="$Labels/Labels/Name"/>
            </th>
            <xsl:for-each select="MeetingWorkBook/Meeting">
              <th class="RigaTitoli2">
                <xsl:value-of select="MeetingDate/@Day"/>
                <br/>
                <xsl:value-of select="MeetingDate/@MonthShort"/>
              </th>
            </xsl:for-each>
          </thead>
          <tbody>
            <xsl:variable name="vMeetings" select="MeetingWorkBook/Meeting"/>
            <xsl:apply-templates select="$PubDB/msa:PublisherDatabase/msa:Publishers/msa:Publisher[@Appointed!='NotAppointed']">
              <xsl:with-param name="vMeetings" select="$vMeetings"/>
              <xsl:sort select="msa:Name" data-type="text" order="ascending"/>
            </xsl:apply-templates>
          </tbody>
        </table>
      </body>
    </html>
  
  
 </xsl:template>
 
 
   <xsl:template match="msa:Publisher">
    <xsl:param name="vMeetings"/>
    <tr>
      <td class="cellAssignment">
        <xsl:value-of select="msa:Name"/>
      </td>
      <xsl:call-template name="CheckForAssignments">
        <xsl:with-param name ="strName">
          <xsl:value-of select="msa:Name"/>
        </xsl:with-param>
        <xsl:with-param name="vMeetings" select="$vMeetings"/>
      </xsl:call-template>
    </tr>
  </xsl:template>

  <xsl:template name="CheckForAssignments">
    <xsl:param name ="strName"/>
    <xsl:param name ="vMeetings"/>
    <xsl:for-each select="$vMeetings">
      <xsl:choose>
        <xsl:when test="Chairman=$strName or 
                  Treasures1/Name=$strName or 
                  Treasures2/Name=$strName or 
                  LivingAsChristians/Item1/Name=$strName or 
                  LivingAsChristians/Item2/Name=$strName or
                  LivingAsChristians/CongregationBibleStudy/Conductor=$strName">
          <td class="AssegnatoSi">X</td>
        </xsl:when>
        <xsl:otherwise>
          <td class="AssegnatoNo"> </td>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:for-each>
  </xsl:template>
 
 
 
 
 
 
 
 
 </xsl:stylesheet>

